use <MountingBrackets.scad>;
use <kompasstolicka.scad>;

$fn = 90;
wheelDia = 75;
wheelHeight = 16.4;
diaRobot = 210;
motorOffset = 89;
ballDiameter = 76;
offsetBattery = 60;
axle_d=5.3;
height_holder=6;

module diery_ledky(diodeDia=7,height=10){
    
            for(A=[0:15:359])rotate([0,0,A])translate([0,45,0])cylinder(d=diodeDia,h=height,center=true);
             if(0){
                 rotate([0,0,0])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,30])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,60])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,90])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,120])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,150])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,180])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,210])translate([0,66,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,238.7])translate([0,65.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,270])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,300])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0,330])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
             }
             if(0){
                 rotate([0,0, 0+16.25])translate([0,66,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 30+16.7])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 60+14.25])translate([0,66,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 90+15.6])translate([0,66,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 120+15])translate([0,66.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 150+14.3])translate([0,66.2,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 180+13.7])translate([0,66,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 210+13.3])translate([0,65.5,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 239+14.58])translate([0,65.8,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 270+14.4])translate([0,65.7,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 300+15.2])translate([0,65.7,0])cylinder(d=diodeDia,h=height,center=true);
                 rotate([0,0, 330+15.8])translate([0,66.3,0])cylinder(d=diodeDia,h=height,center=true);
             }    


}

module main_board_stlpiky() {
    difference() {
        for (A = [1,-1]){
            translate([A*55,0,0])cylinder(h = 10, d = 8,center = true);
        }
        prepojenie_platni(4);//POZOR
    }
}
module stena() {
    difference() {
        union() {
            translate([0,0,10])medzistena();
            for (A=[0:120:359]) {
                rotate([0,0,A])translate([0,76,13+((34-0.1)/2)])cube([92,3,34-0.1],center=true);
            }
            for(A = [-30,30,90,-90]) {
                rotate([0,0,A])translate([0,90,13+((34-0.1)/2)])cube([5,5,34-0.1],center=true);
            }
        }
        for(A = [0:120:359]) { //BRACKETY
            rotate([0,0,A])translate([0,50,38])cube([30,100,30],center=true);
        }
        for (A = [26,-26]) { //DIERA NA SROB
            rotate([0,0,A])translate([0,94,0])cylinder(d = 6.5, h = 200,center=true);
        }
    }
}
module predne_blatniky (angles = [120,240]) {
    difference() {
        for(A= angles){
            intersection() {
                cylinder(d=diaRobot, h= 210);
                rotate([0,0,A])difference(){
                    translate([0,motorOffset,wheelDia/2+2.5])
                    rotate([90,0,0])
                    difference() {
                        union() {
                            cylinder(d= wheelDia + 10,h = wheelHeight+15,center=true);
                            translate([0,14.5,3.2])cube([105,3,25],center=true);
                        }
                        cylinder(d= wheelDia + 6,h = wheelHeight+ 8,center=true);
                    }
                    translate([0,132,40])cube([100,70,100],center=true);
                    translate([0,60,18])cube([100,100,70],center=true);
                }
                
            }
        }
    prepojenie_platni(1);
    }
}
module ball_zone() {
    difference() {
        intersection() {
            difference() {
                translate([0,-120,20])scale([2,1,1])cylinder(h = 34-0.1,d = 100,center = true);
                
                translate([0,-100,28])cube([70,200,20],center=true);
            }
            cylinder(d = diaRobot, h = 300, center=true);
        }
        translate([0,-3.5,-10])ball(scaleBall=[1.6,1,1]);
        for(A=[1,-1])for(B=[7,30])translate([A*52.7,-77.8,B]) {
            translate([0,-5,0])cylinder(h=3.1,d=6.5,$fn=6,center=true);
            cube([6.5,10,3.1],center=true);
        }
        for (A=[0:120:359]) {
            rotate([0,0,A])translate([0,76,13+((34-0.1)/2)])cube([94,4,100],center=true);
        }
        prepojenie_platni(1);
        translate([0,0,3.5])cylinder(h=5,d=155,center=true);
        translate([0,0,-15 - 2.5])kolesa(wheelDia + 5,wheelHeight + 12, motorOffset + 3);
        
    }
}
module lko_pri_baterke() {
    
    translate([65,offsetBattery,10])cube([5,23,39], center=true);
    translate([57,offsetBattery,33])cube([23,23,10], center=true);
    
}
module horna_platna (kompas = 1, lko = 1) {
    difference() {
        union () {
            cylinder(d=diaRobot, h=3,center=true);
            for (A = [45:90:359]) {
                difference() {
                    rotate([0,0,A])translate([0,28,10])cube([15,15,20],center=true);
                    rotate([0,0,A])translate([0,28,15])cylinder(h=3.1,d=6.5,$fn=6,center=true);
                    rotate([0,0,A])translate([0,33,15])cube([6.5,10,3.1],center=true);
                }
            }
            
            translate([57,offsetBattery,4])cube([27,27,6], center=true);
            
        }
        cube([100,25,50],center=true);//diera na kable
        prepojenie_platni(2);
        prepojenie_platni(3);
        for(A=[-1,1]){
            translate([A* 100,-20,0])cube([10,50,100],center=true);
            translate([A* 95,-34,0])rotate([0,0,A*45])cube([55,55,100],center=true);
        }
        translate([0,-75,0])cube([200,70,20],center=true);
        translate([65,offsetBattery,10])cube([7,25,39], center=true);
        translate([57,offsetBattery,6])cube([23,23,5], center=true);
        translate([65,0,0])rotate([0,0,270]) {
            cube([20,13,200],center=true);
            translate([0,-10,0])cube([11,20,200],center=true);
        }
        for(A = [1,-1]) {
            translate([A*64,-47,0])cube([100,30,100],center=true);
        }
        
    }
    if(lko) translate([0,0,30])lko_pri_baterke();
    translate([-32.5,10,1.4]) difference(){ //KOMPAS_HOLDER
        union(){
            translate([20-2.5,50-2.5,0])cube([30,30,20]);
            //translate([20,50,20])compassholder(0.3);    
        
            translate([15,-6,0])
            translate([20-2.5,50-2.5,0])rotate([0,0,45])cube([30,30,20]);
            //translate([20,50,20])rotate([0,0,45])compassholder(0.3);    
        
        }
        translate([20,50,20])compassholder(0.3);    
        translate([13,-4,0])translate([20,50,20])rotate([0,0,45])compassholder(0.3);    
    }
    if(kompas) translate([-12.5,60,40])rotate([0,0,0])compassholder();
    
    
    translate([0,-39,15.5])difference(){ //CAMERA_HOLD
        rotate([15,0,0]) {
            difference() {
                cube([28,10,37],center=true);
                
                /*for(B=[0:10:20])
                for(A=[1,-1]) {
                    translate([A*25/2,3.5,B - 7])rotate([90,-90,0])cylinder(d=12,h=5,center=true,$fn=6);
                    translate([A*25/2,3.5,B - 7])rotate([90,-90,0])cylinder(d=6,h=100,center=true);
                }/**/
                for (X = [0:10:300]) {
                    translate([0,0,X - 198])rotate([0,90,0])cylinder(h=200, d=3.3,center=true);
              }
                
                
                
            }
        }
        translate([0,0,-35])cube([52,20,37],center=true);
    }
}
module dribler_kolesa(){
    difference(){
    cylinder(h=20,r1=10,r2=5,center = true);
    union(){
        for(A=[1,0]){
            rotate([0,0,A*90])cube([4.7,4.7/2,21],center=true);
            }
        }    
    }
}
module dribler() {
    translate([25,-55,20])rotate([0,0,180]) {
        
        //ZACIATOK
        difference(){
            union(){
                /*translate([-6,32,24/2])rotate([0,90,0,])union(){
                    difference(){
                        cylinder(h=5,d=10,center=true);
                        cylinder(h=6,d=axle_d,center=true);
                    }
                    rotate([0,-90,0])translate([0,0,-height_holder])difference(){
                        cube([5,10,24/2],center=true);
                        translate([0,0,height_holder])rotate([0,90,0])cylinder(h=6,d=10,center=true);
                    }
                }
                translate([-6,20,12/2])cube([5,18,12],center=true);
                
                translate([-6,-23,10])cube([5,22,20],center=true);
                */
                translate([23,-31.5,12.5])cube([62,5,30],center=true);
                translate([25,10,0])cube([57,7,5],center=true);
                difference(){
                    translate([0,0,0])for (A=[55.7,-6]) {
                        translate([A,32,25.5])cube([5,20,40],center=true);
                        translate([A,3+1,12.5])cube([5,76,30],center=true);
                    }
                    for(A=[55.7,-6]) for(B=[10]) {
                        translate([A,B,10]) {
                            cube([100,5.5,2.5],center=true);
                            cylinder(h=200,d=3.3,center=true);
                        }
                    }
                    translate([0,32,36])rotate([0,90,0])cylinder(h=100,d=17.5,center = true);
                    
                    //translate([55.7,0,12])rotate([0,90,0])cylinder(h=200,d=axle_d,center=true);
                
                    translate([55.7,32,8])rotate([0,90,0])cylinder(h=200,d=axle_d,center=true);
                    translate([55.7,-2,15])rotate([0,90,0])cylinder(h=200,d=axle_d,center=true);
                
                    
                    
                }
                translate([25-0.15,32,47])cube([66.7,20,3],center=true);
                //translate([10,32.5-2.5,35.25])cube([30,20,19.5],center=true);
                
                //ZACIATOK
                difference(){
                    translate([30,12,53])
                    union(){
                    difference(){    
                        union(){
                            translate([-5,20,35.25-52.5])cube([65,20,19.5],center=true);
                            translate([-5.5,18,-25.5])cube([66,20,3],center=true);
                            //translate([-15,20,-12])cube([10,20,30],center=true);
                        }
                        translate([-47-15,20,-17]){
                            
                            
                            
                        }
                            translate([-15,20,-2])cube([11,22,11],center=true);
                        }

                    }
                    
                    translate([1.5,20,36.5])cube([10,20,15],center=true);
                }
                
                
                //KONIEC
            }
            translate([60,32,40])cube([20,30,25],center=true);
            translate([4+6-9.5,32,36])rotate([0,90,0]) {
                translate([0,0,23.5-10])cylinder(h=65,d=17.5,center = true);
                translate([0,0,47])cylinder(h=30,d=6.5,center = true);
                translate([0,-5,53])cylinder(h=150,d=2.5,center = true);
                translate([0,5,53])cylinder(h=150,d=2.5,center = true);
            }
            translate([54,-26,4])rotate([0,90,0])cylinder(h=200,d=axle_d,center=true);
            translate([55,32,36])rotate([0,90,0])cylinder(h=10,d=22,center=true);
            translate([30,-30,25.5])cube([100,100,10],center=true);
       }
        //KONIEC
    }
}
module stredna_platna_vrch(dribler = true) {
    if (dribler) dribler();
    difference() {
        union () {

            translate([0,0,3.5])cylinder(d = diaRobot, h = 3, center=true);
            for(A = [1,-1]) {
                difference() {
                    translate([A*38.6,-30,25])cube([10,10,40],center=true);
                    translate([0,-29,24])rotate([0,90,0])cylinder(h=200,d=5,center=true);
                }
            }
            
            
            *for (A=[1,-1]) {
                translate([A*30,-70,11])cube([6,6,13],center=true);
            }
        }
        for (A = [120]) {
            rotate([0,0,A])translate([0,32,0])cube([20,18,20],center=true);
        }
        
        
        
        translate([0,-45,0])rotate([0,0,0]){
            translate([-6,7.5,0])cylinder(h=200,d=3.8,center=true);
            translate([6,-7.5+1,0])cylinder(h=200,d=3.8,center=true);
        }
        *for(A = [1,-1]) {
            translate([A*50,30,0])cylinder(h=200,d=50,center=true);
        }
        translate([-23,10,0])translate([-6.25,8.1,0])cube([30,13,100],center=true);
        translate([55,15,0])cylinder(h=100,d=50,center=true);
        prepojenie_platni(1);
        prepojenie_platni(2);
        prepojenie_platni(5);
        translate([0,-110,-8 - 3])scale([1.6,1,1])sphere(d = 74);
        translate([0,0,-45 - 5.5])kolesa(wheelDia + 5,wheelHeight + 12, motorOffset + 3);
        
        
        
    }
    
    translate([0,offsetBattery,25]) intersection() {  //BATERKA
        translate([0,-offsetBattery,0])cylinder(h=200,d=diaRobot, center=true);
        union(){
            difference(){
                translate([0,0,0])cube([220,33,40],center=true);
                
                translate([0,0,3])cube([210,28,43],center=true);
                for (A = [1,-1]) {
                    translate([A*40,-10,0])cube([40,30,30],center=true);
                }
            }
        
            translate([0,-offsetBattery,-25])difference() {
                translate([-180,offsetBattery,25])cube([220,33,40],center=true);
                cylinder(d=diaRobot - 5,h=46);
            }
        }
    }
    for(A = [120,-120]) {
                
        intersection() {
            difference() {
                cylinder(h = 100, d = 210,center=true);
                cylinder(h = 130, d = 204,center=true);
                translate([0,offsetBattery,28])cube([210,28,43],center=true);
                
            }
        rotate([0,0,A])translate([0,-120,24])cylinder(h = 42-0.1,d = 110,center = true);
        }
        
    }
}
module ball(ballDiameter=ballDiameter,scaleBall = [1,1,1]){
    translate([0,0,0]){
        
        translate([0,-diaRobot/2 - 4,ballDiameter / 2])scale(scaleBall){
            sphere(d=ballDiameter);
        }
    }
};
module ballTest(ballDiameter=ballDiameter,captureZone = 30){
    //color("red")
    translate([0,0,0]){
        
        
        
        
        translate([0,-diaRobot/2 - 4,ballDiameter / 2])intersection(){
            sphere(d=ballDiameter);
            translate([0,ballDiameter/2 - captureZone/2,0])cube([200,captureZone,200],center=true);
        }
        translate([0,-diaRobot/2 - 1,ballDiameter / 2])cube([ballDiameter,10,ballDiameter],center=true);
        translate([0,-diaRobot/2 + 2.5,ballDiameter / 2 + 5])cube([ballDiameter,0 ,ballDiameter],center=true);
        
    }
};


module ball_capture(){
    //scale([1.6,1,1])   
    translate([0,-110,27]){
        intersection(){
            #sphere(d = 74);
            %translate([0,74/2 - 15,0])cube([200,30,200],center=true);
        }
    }



}


module kicker(){
    translate([0,-45,34.5]) {
        difference() {
            union() {
                cube([23,26,25],center=true);
                translate([0,-10,0])rotate([90,0,0])cylinder(h=20, d=3,center=true);            
            }
            
            translate([-6,7.5,0])cylinder(h=200,d=3.8,center=true);
            translate([6,-7.5+1,0])cylinder(h=200,d=3.8,center=true);
        
        }
    }
}
module kicker_cutout() {
    difference() {
        translate([0,-95,37])cube([68,70,17],center=true);
        for(A=[1,-1]) {
            translate([A * 40,-52,28])scale([1.6,1,1])cylinder(h=200,d=40,center=true);
        }
        translate([0,-111.5,37])scale([1.6,1,1])sphere(d = 74);
        ball(scaleBall=[1.6,1,1]);
        
        translate([0,- 62,25+9.5])rotate([90,30,0])cylinder(h = 12,d = 3.3,center=true);
        moveKickerNut = -1;
        translate([0,- 65+moveKickerNut,28.75])cube([5.5,5.75,15],center=true);
        translate([0,- 65+moveKickerNut,25+9.5])rotate([90,30,0])cylinder(h = 5.75,d = 6.3,center=true,$fn=6);
    }
    
}
module prepojenie_platni(moznost = 0) {
    if (moznost == 1) {
        for (A = [30,-30,90, -90, 147.5,-147.5]) {
            rotate([0,0,A])translate([0,98,0])cylinder(d = 3.3, h = 200,center=true);
        }
    }
    if (moznost == 2) {
        for (A = [90, -90]) {
            rotate([0,0,A])translate([0,80,0])cylinder(d = 3.3, h = 200,center=true);
        }
        for (A = [26,-26]) {
            rotate([0,0,A])translate([0,94,0])cylinder(d = 3.3, h = 200,center=true);
        }
    }
    if (moznost == 3) {
        for (A = [45:90:359]) {
            rotate([0,0,A])translate([0,28,0])cylinder(d = 3.3, h = 200,center=true);
        }
    }
    if (moznost == 4) {
        rotate([0,0,120])translate([0,-67,25])for(A=[1,-1]){
            translate([A*-32.5,A*20.25,0])cylinder(d=3.3,h=100,center=true);
        }
    }
    if (moznost == 5) {
        translate([-23,10,0]){
            translate([-33,18.5,0])cylinder(d=3.3,h=200, center=true);
            translate([-33,-15.5,0])cylinder(d=3.3,h=200, center=true);
            translate([45,0,0])cylinder(d=3.3,h=200, center=true);
        }
    }
    /*
    MOZNOSTI:
        1 - spodna-stredna-predne_blatniky
        2 - stredna-horna
        3 - horna-IR_senzor
        4 - spodna-main_board
        5 - stredna-driver_board
    */
        
}
module kolesa(wheelDiameter,wheelHeight,M_Offset = motorOffset,axle = false){

    union() {
        for(A=[0:120:359]){
            rotate([0,0,A])
            translate([0,M_Offset,wheelDiameter/2])
            rotate([90,0,0]){
                 cylinder(d=wheelDiameter,h=wheelHeight ,center=true);
                 if(axle)color("blue")cylinder(d=3,h=40);
                 //translate([0,0,7])cylinder(d=25,h=7);
             }
            
            
        }
        
    }
      
    
    
}
module medzistena(angles = [120,-120]){

    
    for(A = angles) {
        for(B = [1,-1]) {
            difference() {
                union() {
                    rotate([0,0,A + 30*B])translate([0,-98,20])cylinder(h = 34-0.1, d = 12,center = true);
                    rotate([0,0,A + 30*B])translate([0,-101,20])cube([8,3,34-0.1],center=true);
                }
                prepojenie_platni(1);
                for(C = [8,31,40])rotate([0,0,A + 30*B])
                    translate([0,-95,C]){
                    //translate([0,-3,0])cylinder(h=3.1,d=3.3,center=true);
                    translate([0,-3,0])cylinder(h=3.1,d=6.3,$fn=6,center=true);
                    translate([0,-8,0])cube([6.3,10,3.1],center=true);
                }
            }
        }
        intersection() {
            difference() {
                cylinder(h = 100, d = 210,center=true);
                cylinder(h = 130, d = 204,center=true);
                for(B = [1,-1])for(C = [8,31,40])rotate([0,0,A + 30*B])
                    translate([0,-95,C]){
                    //translate([0,-3,0])cylinder(h=3.1,d=3.3,center=true);
                    translate([0,-3,0])cylinder(h=3.1,d=6.3,$fn=6,center=true);
                    translate([0,-8,0])cube([6.3,10,3.1],center=true);
                }
            }
            rotate([0,0,A])translate([0,-120,20])cylinder(h = 34-0.1,d = 130,center = true);
        }
        
    }
    
};
module spodna_platna(kicker = true, steny = false, ball_zone = false, diery_hlavna = false) {

    
    difference () {
        union() {
            cylinder(d = diaRobot, h = 3);
            
            
            
            //translate([0,0,-1.5])diery_ledky(diodeDia=10,height=5);
            difference(){
                translate([0,0,-4])cylinder(d=100,h=4);
                translate([0,0,-6])cylinder(d=95,h=6);
            }
            *intersection() {
                difference() {
                    translate([0,-120,19])scale([2,1,1])cylinder(h = 36-0.1,d = 100,center = true);
                    
                    translate([0,-100,28])cube([70,200,20],center=true);
                }
                cylinder(d = diaRobot, h = 300, center=true);
            }
            
            //color("red")
            if (steny) medzistena();
            if (ball_zone) ball_zone();
            
            
            
        }
        prepojenie_platni(1);
        
        difference(){
            
            translate ([0,0,0])cylinder(d = 80, h = 200, center=true);
            
            difference() {
                for(A=[1,-1]) {
                    translate([A*42,0,1.5])cube([20,15,3],center=true);                        
                    translate([0,A*35,1.5])cube([15,20,3],center=true);
                }
                for(A=[1,-1]) {
                    translate([A*37,0,0])cylinder(d=3.3,h=100,center=true);
                    translate([0,A*30,0])cylinder(d=3.3,h=100,center=true);
                }
            }
            
        }
        *for(A = [0:30:359]) {
            rotate([0,0,A])translate([0,132.54/2,0])cylinder(d=3,h=200,center=true);
            rotate([0,0,A+15])translate([0,132/2,0])cylinder(d=3,h=200,center=true);
        }
        if(diery_hlavna){
            
            diery_ledky();
        }

        translate([0,0,-12.5])kolesa(wheelDia + 5,wheelHeight + 12, motorOffset + 3);
        
        prepojenie_platni(4);
        
        
        
        translate([0,-3.5,-10])ball(scaleBall=[1.6,1,1]);
        
        
    }
    
    
    if (kicker) kicker_cutout();
    //translate([0,0,-10])ballTest();
    
}
module stredna_platna_spodok(bracket = false) {
    difference() {
        union () {
            difference() {
                translate([0,0,3.5])cylinder(d = diaRobot, h = 3, center=true);
                for (A = [0:120:359]) {
                    rotate([0,0,A])translate([0,53,0])cube([20,60,200],center=true);
                }
            }
            translate([0,-35.5,-10.55-1.5])difference()  {
                cube([28,45,32],center=true);
                translate([0,-3,0.05])cube([24,47,28],center=true);
                translate([0,-15,0])cube([100,30,100],center=true);
            }
            if (bracket) for (A = [0:120:359]) { //DôLEžITé
                rotate([0,0,A])translate([0,63,5])rotate([0,180,270])bracket();
            }
            
            
        }
        translate([-23,10,0])translate([-6.25,8.1,0])cube([30,13,100],center=true);
        translate([55,15,0])cylinder(h=100,d=50,center=true);
        *translate([0,-10,0])cube([20,40,100],center=true);
        translate([0,-45,0])rotate([0,0,0]){
            translate([-6,7.5,0])cylinder(h=200,d=3.8,center=true);
            translate([6,-7.5+1,0])cylinder(h=200,d=3.8,center=true);
        }
        *for(A = [1,-1]) {
            translate([A*50,30,0])cylinder(h=200,d=50,center=true);
        }
        
        prepojenie_platni(1);
        prepojenie_platni(2);
        prepojenie_platni(5);
        translate([0,-110,-8])scale([1.6,1,1])sphere(d = 74);
        translate([0,0,-45 - 2.5])kolesa(wheelDia + 5,wheelHeight + 12, motorOffset + 3);
    }
    
}
module all() {
    intersection () {
        cylinder(d = 220, h = 220);
        union () {
            translate ([0,0,10])spodna_platna(kicker = false,diery_hlavna=true);
            translate([0,0,0])kolesa(wheelDia,wheelHeight,motorOffset,true);
            translate ([0,0,45])stredna_platna_spodok(bracket = 0);
            translate([0,0,48])stredna_platna_vrch(dribler = 1);
            translate([0,0,94.7])horna_platna (kompas=0,lko=1);
            kicker_cutout();
            predne_blatniky();
            stena();
            translate([0,0,10])ball_zone();
        }
    }
    //translate([0,0,0])ballTest();
    //translate([0,0,0])ball();
    *cylinder(d = 220, h = 220);
}
all ();
//dribler_kolesa()
//translate([0,0,10])ball_zone();
//ballTest();
//horna_platna();
//predne_blatniky();
//predne_blatniky();
//translate([0,0,0])kolesa(wheelDia,wheelHeight,motorOffset,true);

//color("blue")translate([45,-102-5,25])rotate([0,0,120])import("C:/Users/asus/Desktop/_RCJ_2025/LWL_Robot_2025/Unnamed-STM32G431_top 1.stl");
*color("blue")rotate([0,0,120])translate([0,-67,25])difference(){
        cube([80,50,1.6],center=true);
        for(A=[1,-1]){
            %translate([A*-32.5,A*20.25,0])cylinder(d=3.3,h=100,center=true);
        }
    }

//color("green")rotate([0,180,0])translate([-154.2,90,-14])import("C:/Users/asus/Downloads/Unnamed-STM32G431_line.stl");
//translate ([0,0,10])spodna_platna(kicker = false, steny = false,ball_zone=false,diery_hlavna=true);

//translate ([0,0,48])stredna_platna_vrch(dribler = 0);
//translate ([0,0,45])stredna_platna_spodok(bracket = 1);
*color("red")translate([-23,10,60])difference() {

    cube([100,50,1],center=true);
    
    translate([-33,18.5,0])cylinder(d=3.3,h=200, center=true);
    translate([-33,-15.5,0])cylinder(d=3.3,h=200, center=true);
    translate([45,0,0])cylinder(d=3.3,h=100, center=true);
    translate([-6.25,8.1,0])cube([30,13,100],center=true);

}
//horna_platna(false,true);
//translate ([0,0,10])ball_zone();
//predne_blatniky();
//translate([0,1.25,14])rotate([0,0,180])scale([1,1,2])import("C:/Users/asus/Desktop/_RCJ_2025/LWL_Robot_2025/Unnamed1-Naked_2 1.stl");
//translate([0,0,0])kolesa(wheelDia,wheelHeight,motorOffset,true);


*translate ([0,0,45])stredna_platna_spodok(bracket = 1);


//medzistena();
//ball_zone();
//translate([0,0,94.7])horna_platna (kompas=0,lko=0);


//translate([0,0,48])stredna_platna_vrch(dribler = 0);


//translate ([0,0,10])ball_zone();
//translate([0,0,0])kolesa(wheelDia,wheelHeight,motorOffset,true);
//dribler();
//kicker_cutout();
//horna_platna();
//stena();
//dribler();
//ballTest();
//translate([0,1.25,16])rotate([0,0,180])scale([1,1,1])import("C:/Users/asus/Desktop/_RCJ_2025/LWL_Robot_2025/Unnamed1-Naked_2 1.stl");

*main_board_stlpiky();
*color("blue")difference(){
    union(){
        translate([0,0,115])cube([100,50,1],center=true);
        translate([0,0,155])cylinder(d=80,h=1,center=true);
    }
    translate([0,0,100])prepojenie_platni(3);
}
//translate([0,0,48])stredna_platna_vrch(dribler = 1, wheels = 1);
//dribler();
//kicker_cutout();
//stredna_platna_spodok(bracket = 1);
//translate([0,0,110])cube([200,200,1],center=true);
//_pri_baterke_pri_baterke ();
